--- configure.orig	2005-12-10 07:27:54 UTC
+++ configure
@@ -3860,281 +3860,6 @@ _ACEOF
 
 
 
-# Check whether --with-libusb-prefix or --without-libusb-prefix was given.
-if test "${with_libusb_prefix+set}" = set; then
-  withval="$with_libusb_prefix"
-  libusb_prefix="$withval"
-else
-  libusb_prefix=""
-fi;
-
-# Check whether --with-libusb-exec-prefix or --without-libusb-exec-prefix was given.
-if test "${with_libusb_exec_prefix+set}" = set; then
-  withval="$with_libusb_exec_prefix"
-  libusb_exec_prefix="$withval"
-else
-  libusb_exec_prefix=""
-fi;
-
-    if test x$libusb_exec_prefix != x ; then
-	libusb_config_args="$libusb_config_args --exec-prefix=$libusb_exec_prefix"
-	if test x${LIBUSB_CONFIG+set} != xset ; then
-	    LIBUSB_CONFIG=$libusb_exec_prefix/bin/libusb-config
-	fi
-    fi
-    if test x$libusb_prefix != x ; then
-	libusb_config_args="$libusb_config_args --prefix=$libusb_prefix"
-	if test x${LIBUSB_CONFIG+set} != xset ; then
-	    LIBUSB_CONFIG=$libusb_prefix/bin/libusb-config
-	fi
-    fi
-
-    # Extract the first word of "libusb-config", so it can be a program name with args.
-set dummy libusb-config; ac_word=$2
-echo "$as_me:$LINENO: checking for $ac_word" >&5
-echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
-if test "${ac_cv_path_LIBUSB_CONFIG+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  case $LIBUSB_CONFIG in
-  [\\/]* | ?:[\\/]*)
-  ac_cv_path_LIBUSB_CONFIG="$LIBUSB_CONFIG" # Let the user override the test with a path.
-  ;;
-  *)
-  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
-  IFS=$as_save_IFS
-  test -z "$as_dir" && as_dir=.
-  for ac_exec_ext in '' $ac_executable_extensions; do
-  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
-    ac_cv_path_LIBUSB_CONFIG="$as_dir/$ac_word$ac_exec_ext"
-    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
-    break 2
-  fi
-done
-done
-
-  test -z "$ac_cv_path_LIBUSB_CONFIG" && ac_cv_path_LIBUSB_CONFIG="no"
-  ;;
-esac
-fi
-LIBUSB_CONFIG=$ac_cv_path_LIBUSB_CONFIG
-
-if test -n "$LIBUSB_CONFIG"; then
-  echo "$as_me:$LINENO: result: $LIBUSB_CONFIG" >&5
-echo "${ECHO_T}$LIBUSB_CONFIG" >&6
-else
-  echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-fi
-
-    min_libusb_version=0.1.7
-    echo "$as_me:$LINENO: checking for libusb - version >= $min_libusb_version" >&5
-echo $ECHO_N "checking for libusb - version >= $min_libusb_version... $ECHO_C" >&6
-    no_libusb=""
-    if test "$LIBUSB_CONFIG" = "no" ; then
-	no_libusb="yes"
-    else
-	LIBUSB_CFLAGS=`$LIBUSB_CONFIG $libusb_config_args --cflags`
-	LIBUSB_LIBS=`$LIBUSB_CONFIG $libusb_config_args --libs`
-
-	libusb_major_version=`$LIBUSB_CONFIG $libusb_args --version | \
-		sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
-	libusb_minor_version=`$LIBUSB_CONFIG $libusb_args --version | \
-		sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
-	libusb_micro_version=`$LIBUSB_CONFIG $libusb_args --version | \
-		sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
-	if test "x$enable_libusbtext" = "xyes" ; then
-	    ac_save_CFLAGS="$CFLAGS"
-	    ac_save_LIBS="$LIBS"
-	    CFLAGS="$CFLAGS $LIBUSB_CFLAGS"
-	    LIBS="$LIBS $LIBUSB_LIBS"
-      rm -f conf.libusbtest
-      if test "$cross_compiling" = yes; then
-  echo $ac_n "cross compiling; assumed OK... $ac_c"
-else
-  cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include <usb.h>
-
-char*
-my_strdup (char *str)
-{
-  char *new_str;
-
-  if (str)
-    {
-      new_str = malloc ((strlen (str) + 1) * sizeof(char));
-      strcpy (new_str, str);
-    }
-  else
-    new_str = NULL;
-
-  return new_str;
-}
-
-int main ()
-{
-  int major, minor, micro;
-  char *tmp_version;
-
-  system ("touch conf.libusbtest");
-
-  /* HP/UX 9 (%@#!) writes to sscanf strings */
-  tmp_version = my_strdup("$min_libusb_version");
-  if (sscanf(tmp_version, "%d.%d.%d", &major, &minor, &micro) != 3) {
-     printf("%s, bad version string\n", "$min_libusb_version");
-     exit(1);
-   }
-
-    if (($libusb_major_version > major) ||
-        (($libusb_major_version == major) && ($libusb_minor_version > minor)) ||
-	(($libusb_major_version == major) && ($libusb_minor_version == minor) &&
-	($libusb_micro_version >= micro)))
-    {
-      return 0;
-    }
-  else
-    {
-      printf("\n*** 'libusb-config --version' returned %d.%d, but the minimum version\n", $libusb_major_version, $libusb_minor_version);
-      printf("*** of libusb required is %d.%d. If libusb-config is correct, then it is\n", major, minor);
-      printf("*** best to upgrade to the required version.\n");
-      printf("*** If libusb-config was wrong, set the environment variable LIBUSB_CONFIG\n");
-      printf("*** to point to the correct copy of libusb-config, and remove the file\n");
-      printf("*** config.cache before re-running configure\n");
-      return 1;
-    }
-}
-
-
-_ACEOF
-rm -f conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } && { ac_try='./conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  :
-else
-  echo "$as_me: program exited with status $ac_status" >&5
-echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-( exit $ac_status )
-no_libusb=yes
-fi
-rm -f core *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext
-fi
-       CFLAGS="$ac_save_CFLAGS"
-       LIBS="$ac_save_LIBS"
-     fi
-  fi
-  if test "x$no_libusb" = x ; then
-     echo "$as_me:$LINENO: result: yes" >&5
-echo "${ECHO_T}yes" >&6
-     :
-  else
-     echo "$as_me:$LINENO: result: no" >&5
-echo "${ECHO_T}no" >&6
-     if test "$LIBUSB_CONFIG" = "no" ; then
-       echo "*** The libusb-config script installed by libusb could not be found"
-       echo "*** If libusb was installed in PREFIX, make sure PREFIX/bin is in"
-       echo "*** your path, or set the LIBUSB_CONFIG environment variable to the"
-       echo "*** full path to libusb-config."
-     else
-       if test -f conf.libusbtest ; then
-        :
-       else
-          echo "*** Could not run libusb test program, checking why..."
-          CFLAGS="$CFLAGS $LIBUSB_CFLAGS"
-          LIBS="$LIBS $LIBUSB_LIBS"
-          cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-#include <stdio.h>
-#include <usb.h>
-
-int
-main ()
-{
- return 0;
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-   echo "*** The test program compiled, but did not run. This usually means"
-          echo "*** that the run-time linker is not finding libusb or finding the wrong"
-          echo "*** version of libusb. If it is not finding libusb, you'll need to set your"
-          echo "*** LD_LIBRARY_PATH environment variable, or edit /etc/ld.so.conf to point"
-          echo "*** to the installed location  Also, make sure you have run ldconfig if that"
-          echo "*** is required on your system"
-	  echo "***"
-          echo "*** If you have an old version installed, it is best to remove it, although"
-          echo "*** you may also be able to get things to work by modifying LD_LIBRARY_PATH"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
- echo "*** The test program failed to compile or link. See the file config.log for the"
-          echo "*** exact error that occured. This usually means libusb was incorrectly installed"
-          echo "*** or that you have moved libusb since it was installed. In the latter case, you"
-          echo "*** may want to edit the libusb-config script: $LIBUSB_CONFIG"
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-          CFLAGS="$ac_save_CFLAGS"
-          LIBS="$ac_save_LIBS"
-       fi
-     fi
-     LIBUSB_CFLAGS=""
-     LIBUSB_LIBS=""
-     { { echo "$as_me:$LINENO: error: libusb is required." >&5
-echo "$as_me: error: libusb is required." >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-
-
-  rm -f conf.libusbtest
 
 
 # Checks for header files.
